#!/bin/sh

userpriv=$(test -w \/ && echo "ok")
if [ -z $userpriv ]
    then echo "Please run this script as root / sudo"
    exit
fi

echo "+-------------------------------------------------------------------+"
echo "|                                                                   |"
echo "|                     Pyjama - Jamendo Audioplayer                  |"
echo "|                            Installation                           |"
echo "|                                                                   |"
echo "|  If there should be any errors, please send me a bug report.      |"
echo "|  You can run 'pyjama.py' directly without installation from the   |"
echo "|  directory 'src'                                                  |"
echo "|                                                                   |"
echo "+-------------------------------------------------------------------+"

echo "Hit ENTER to start installation"
read input

if [ -e /usr/lib/pyjama/pyjama.py ]
then
   echo "Please delete /usr/lib/pyjama!"
   echo "This directory is not needed any more"
fi

echo "1/3 Copying files"
mkdir /usr/share/apps/pyjama 2>/dev/null
cp -R ./src/* /usr/share/apps/pyjama/
	#sudo cp -R ./images /usr/share/apps/pyjama/
	#chown -R .users /usr/share/apps/pyjama
#chmod -R a+xr /usr/share/apps/pyjama
#chmod -R g+w /usr/share/apps/pyjama
#chgrp -R   /usr/share/apps/pyjama
ln -fs /usr/share/apps/pyjama/pyjama.py /usr/bin/pyjama 
#cp -pu /usr/share/apps/pyjama/pyjama.cfg ~/.pyjama/pyjama.cfg

echo "2/3 Checking modules..."
pyjama check-modules

echo "3/3 Creating menu-entry for pyjama"
mv /usr/share/apps/pyjama/images/pyjama.xpm /usr/share/pixmaps
mv /usr/share/apps/pyjama/pyjama.desktop /usr/share/applications

echo ""
echo "Pyjama has been installed. Just type 'pyjama' to run it."
#echo "If you are sure, that the database is already on your PC, you can exit with STRG+C"
#read input
#python /usr/share/apps/pyjama/download_db.py
#pyjama #-u #i

#echo "Datenbank wurde heruntergeladen, lade nun das Imagepack.Durch das Imagepack wird die Darstellung der Alben massiv beschleunigt, da diese nicht mehr zur Laufzeit aus dem Netz geladen werden müssen."
#echo "Zur Zeit sind ca. 1200 Cover im Imagepack enthalten."
#python /usr/share/apps/pyjama/get_imagepack.py

#echo "Führen sie 'pyjama' aus, um das Programm zu starten"
