#!/bin/bash
### Pyjama DEB- Maker 

echo "Which version do you want to set?"
version=$(python preparerelease.py)

### Make manpake
#TITLE="-tGLOW-"$version
#txt2man -B GLOW $TITLE info.txt > glow.1
#mv glow.1 Paket/usr/share/man/man1/glow.1

#python mk_pyc.py

### Prepare Deb- Generation
rm -r Paket
mkdir -p Paket/usr/share/apps/pyjama
mkdir -p Paket/usr/share/applications
mkdir -p Paket/usr/share/pixmaps
mkdir -p Paket/usr/bin
mkdir -p Paket/DEBIAN

# Files needed for the package
cp -p control Paket/DEBIAN/
cp -p postinst Paket/DEBIAN/
cp -p rules Paket/DEBIAN
cp -p pyjama.menu Paket/DEBIAN
#cp -p postinst Paket/DEBIAN

# Copying files
#cp -p pyjama.py Paket/usr/bin/pyjama
cp -p *.py Paket/usr/share/apps/pyjama
cp -p *.glade Paket/usr/share/apps/pyjama
cp -p eq_presets Paket/usr/share/apps/pyjama
cp -p pyjama.cfg Paket/usr/share/apps/pyjama
cp ./images/pyjama.xpm Paket/usr/share/pixmaps
cp pyjama.desktop Paket/usr/share/applications
cp COPYING Paket/usr/share/applications

#Copying folder
cp -pr ./locale Paket/usr/share/apps/pyjama
cp -pr ./plugins Paket/usr/share/apps/pyjama
cp -pr ./clLayouts Paket/usr/share/apps/pyjama
cp -pr ./themes Paket/usr/share/apps/pyjama
cp -pr ./images Paket/usr/share/apps/pyjama
cp -pr ./modules Paket/usr/share/apps/pyjama
cp -pr ./extended_modules Paket/usr/share/apps/pyjama

### Output name
name="pyjama-"$version"_all.deb"

### Create and install deb
#dpkg -b ~/Programming/python/pyjama/pyjama/Paket $name
dpkg -b Paket $name

if [[ $1 == "-i" ]]; then
   sudo dpkg -i $name
fi

